Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.jini.security
Interface TrustVerifier

All Known Implementing Classes:
  BasicJeriTrustVerifier, BasicProxyTrustVerifier, ConstrainableLookupLocatorTrustVerifier, ConstraintTrustVerifier, DiscoveryConstraintTrustVerifier, KerberosTrustVerifier, LandlordProxyVerifier, ProxyTrustVerifier, SslTrustVerifier

public interface TrustVerifier

Defines the interface for trust verifiers used by `Security.verifyObjectTrust`, allowing the objects that are trusted to be extended.

Since:
  2.0

Nested Class Summary
`static interface` | `TrustVerifier.Context` Defines the context for trust verification used by `TrustVerifier` instances and `Security.verifyObjectTrust`.

Method Summary
`boolean` | `isTrustedObject(Object obj, TrustVerifier.Context ctx)` Returns `true` if the specified object is known to be trusted to correctly implement its contract; returns `false` otherwise.

Method Detail

### isTrustedObject

    public boolean isTrustedObject(Object obj,
                                   TrustVerifier.Context ctx)
                            throws RemoteException

  Returns `true` if the specified object is known to be trusted to correctly implement its contract; returns `false` otherwise.

  Parameters:
    `obj` - the object in which to verify trust
    `ctx` - the trust verifier context, to aid in verification of the specified object and its components
  Returns:
    `true` if the specified object is known to be trusted to correctly implement its contract; `false` otherwise
  Throws:
    `RemoteException` - if a communication-related exception occurs
    `SecurityException` - if a security exception occurs
    `NullPointerException` - if any argument is `null`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 Sun Microsystems, Inc. All rights reserved